Describe an Index

Use the describe index operation to get the current status and configuration of a vector table's index.

The operation returns detailed information about the index including its type, parameters, build status, and statistics.

An error is raised if the specified table or index does not exist.

See the following for an example of using describe_index:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))

status = client.describe_index(table_name='products')

print(status)

A JSON response is returned containing the following information:

  • Index type (IVF, HNSW)
  • Built status (BUILDING, READY, FAILED)
  • Index parameters
  • Statistics (indexed vectors, memory usage)

For more information about the describe_index operation, see Python API Reference.

See how GET /vecdb/vector-indexes/{vector_table_name} can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/product_vectors" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Responses:

  • Example 200 response:
    {
      "Index Status": "Index build in progress...\nCurrent progress: 75%"
    }
  • 400 - the request body included invalid parameters.
  • 404 - the vector table was not found.

For more information about GET /vecdb/vector-indexes/{vector_table_name}, see REST API Reference.

See how DBMS_VECTOR_DATABASE.INDEX_BUILD_STATUS can be used in the following example:

dbms_vector_database.index_build_status('product_vectors');
Example response:
{
  "Index Status": "Index build in progress...\nCurrent progress: 75%"
}

For more information about the PL/SQL implementation, including parameters, see INDEX_BUILD_STATUS.